# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'blockify/version'

Gem::Specification.new do |spec|
  spec.name          = "blockify"
  spec.version       = Blockify::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{Hierarchical nested Hash and Array access tool}
  spec.description   = %q{The `blockify` gem solves some of the problems associated with complex hierarchical nested arrays and hashes.
It is possible to represent an HTML file as a series of Arrays and Hashes with very deep levels of Hashes within Arrays within Hashes.
Traversing such a tree is tricky at best. The methods of the `blockify` gem are included in Array, and Hash using a naming convention
that should not compete with anything. We don't need to concern ourselves with the complexity of the structure and can instead
focus on the base elements wherever they may be.}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'byebug', '~> 5.0', '>= 5.0.0'  
end
